Fleetdock
API referenceBackupsDatabasesIdDumpCheck

Check a downloaded backup can start

Verifies that a one-off dump of the database can start: the dump tool is installed on the control plane and the database accepts the instance's admin login. Call it before `GET /v1/databases/{id}/dump` to report problems as an error instead of a failed download. Requires backup:write on the database.

POST
/v1/databases/{id}/dump/check

Verifies that a one-off dump of the database can start: the dump tool is installed on the control plane and the database accepts the instance's admin login. Call it before GET /v1/databases/{id}/dump to report problems as an error instead of a failed download. Requires backup:write on the database.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Response Body

curl -X POST "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/dump/check"
Empty